﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;

namespace GridViewPersistence
{
    public class MainViewModel
    {
        private ObservableCollection<MyItem> items;

        public MainViewModel()
        {
            this.items = new ObservableCollection<MyItem>();
            for (int i = 0; i < 30; i++)
            {
                this.items.Add(new MyItem() { Header = "Item " + i, Number = i % 3, SomeBool = i % 3 == 0 });
            }
        }

        public ObservableCollection<MyItem> Items
        {
            get
            {
                return this.items;
            }
        }
    }
}
