﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Persistence;
using Telerik.Windows.Persistence.Services;
using Telerik.Windows.Persistence.Storage;

namespace GridViewPersistence
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            ServiceProvider.RegisterPersistenceProvider<ICustomPropertyProvider>(typeof(RadGridView), new RadGridViewCustomPropertyProvider());
            this.DataContext = new MainViewModel();
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            SaveFileDialog sfd = new SaveFileDialog();

            if (sfd.ShowDialog() == true)
            {
                PersistenceManager manager = new PersistenceManager();
                var gridInfo = manager.Save(this.gridView);

                using (var stream = sfd.OpenFile())
                {
                    gridInfo.CopyTo(stream);
                }
            }

            //var isoProvider = new IsolatedStorageProvider();
            //isoProvider.SaveToStorage();
        }

        void manager_PersistenceError(object sender, Telerik.Windows.Persistence.Events.PersistenceErrorEventArgs e)
        {
        }

        private void RadButton_Click_1(object sender, RoutedEventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();

            if (ofd.ShowDialog() == true)
            {
                PersistenceManager manager = new PersistenceManager();

                using (var stream = ofd.File.OpenRead())
                {
                    manager.Load(stream);
                }
            }

            //var isoProvider = new IsolatedStorageProvider();
            //isoProvider.LoadFromStorage();
        }
    }
}
